#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from urllib import quote
from Plugins.Extensions.OpenWebif.local import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1458263944.69333
__CHEETAH_genTimestamp__ = 'Fri Mar 18 01:19:04 2016'
__CHEETAH_src__ = '/home/vu/vu/openpli-oe-core/build/tmp/work/vusolo4k-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+c659329314-r0/git/plugin/controllers/views/mobile/channelzap.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar 18 01:19:03 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class channelzap(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(channelzap, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<html>\r
\t<head>\r
\t\t<title>OpenWebif</title>\r
\t\t<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\r
\t\t<meta name="viewport" content="user-scalable=no, width=device-width"/>\r
\t\t<meta name="apple-mobile-web-app-capable" content="yes" />\r
\t\t<link rel="stylesheet" type="text/css" href="/css/jquery.mobile-1.0.min.css" media="screen"/>\r
\t\t<link rel="stylesheet" type="text/css" href="/css/iphone.css" media="screen"/>\r
\t\t<script src="/js/jquery-1.6.2.min.js"></script>\r
\t\t<script src="/js/jquery.mobile-1.0.min.js"></script>\r
\t\t<script>\r
\t\t\tfunction mobileChannelZap(sRef) {\r
\t\t\t\tsRef=sRef.replace(/%22/,\'"\');\r
\t\t\t\tvar url = \'/api/zap?sRef=\' + sRef;\r
\t\t\t\t$.getJSON(url, function(result){\r
\t\t\t\t});\r
\t\t\t}\r
\t\t</script>\r
\t</head>\r
''')
        sref = quote(VFFSL(SL,"channelinfo.sref",True), safe=' ~@#$&()*!+=:;,.?/\'')
        write(u'''\t<body onload="javascript: mobileChannelZap(\'''')
        _v = VFFSL(SL,"sref",True) # u'$sref' on line 23, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$sref')) # from line 23, col 46.
        write(u'''\')"> \r
\t\t<div data-role="page">\r
\t\t\t<div id="header">\r
\t\t\t\t<div class="button" onClick="window.close()">''')
        _v = VFFSL(SL,"tstrings",True)['back'] # u"$tstrings['back']" on line 26, col 50
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['back']")) # from line 26, col 50.
        write(u'''</div>\r
\t\t\t\t<h1><a style="color:#FFF;text-decoration:none;" href=\'/mobile\'>OpenWebif</a></h1>
\t\t\t</div>\r
\t\t\t<div id="mainContent" class="ui-corner-all">\r
\t\t\t\t<table width="100%" border="0" cellspacing="1" cellpadding="5">\r
\t\t\t\t\t<tr>\r
\t\t\t\t\t\t<th colspan="3" class="ui-btn-up-b" style="text-align: left;">''')
        _v = VFFSL(SL,"tstrings",True)['zapped_to'] # u"$tstrings['zapped_to']" on line 32, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['zapped_to']")) # from line 32, col 69.
        write(u''': ''')
        _v = VFFSL(SL,"channelinfo.sname",True) # u'$channelinfo.sname' on line 32, col 93
        if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.sname')) # from line 32, col 93.
        write(u'''</th>\r
\t\t\t\t\t</tr>\r
\t\t\t\t\t<tr style="background-color:  #f0f7fc;">\r
\t\t\t\t\t\t<td width="200"><img src="''')
        _v = VFFSL(SL,"channelinfo.picon",True) # u'$channelinfo.picon' on line 35, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.picon')) # from line 35, col 33.
        write(u'''" border="0" alt=""></td>\r
\t\t\t\t\t\t<td width="100%" valign="top">\r
\t\t\t\t\t\t\t<strong>''')
        _v = VFFSL(SL,"channelinfo.sname",True) # u'$channelinfo.sname' on line 37, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.sname')) # from line 37, col 16.
        write(u'''</strong><br />\r
''')
        if VFFSL(SL,"channelinfo.title",True): # generated from line 38, col 8
            write(u'''\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"channelinfo.title",True) # u'$channelinfo.title' on line 39, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.title')) # from line 39, col 9.
            write(u'''<br />\r
\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"channelinfo.begin",True) # u'$channelinfo.begin' on line 40, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.begin')) # from line 40, col 9.
            write(u'''-''')
            _v = VFFSL(SL,"channelinfo.end",True) # u'$channelinfo.end' on line 40, col 28
            if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.end')) # from line 40, col 28.
            write(u''' (''')
            _v = VFFSL(SL,"channelinfo.duration",True) # u'$channelinfo.duration' on line 40, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.duration')) # from line 40, col 46.
            write(u''' min)<br />\r
''')
        write(u'''\t\t\t\t\t\t</td>\r
\t\t\t\t\t\t</tr>\r
\t\t\t\t\t\t<tr>\r
\t\t\t\t\t\t\t<th colspan="2" class="ui-btn-up-b" style="text-align: left;">''')
        _v = VFFSL(SL,"tstrings",True)['current_event'] # u"$tstrings['current_event']" on line 45, col 70
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['current_event']")) # from line 45, col 70.
        write(u'''</th>\r
\t\t\t\t\t\t</tr>\r
''')
        if VFN(VFFSL(SL,"channelinfo",True),"has_key",False)('shortdesc'): # generated from line 47, col 7
            write(u'''\t\t\t\t\t\t<tr style="background-color:  #f0f7fc;">\r
\t\t\t\t\t\t\t<td colspan="2">''')
            _v = VFFSL(SL,"channelinfo.shortdesc",True) # u'$channelinfo.shortdesc' on line 49, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.shortdesc')) # from line 49, col 24.
            write(u'''</td>\r
\t\t\t\t\t\t</tr>\r
''')
        if VFN(VFFSL(SL,"channelinfo",True),"has_key",False)('longdesc'): # generated from line 52, col 7
            write(u'''\t\t\t\t\t\t<tr style="background-color:  #f0f7fc;">\r
\t\t\t\t\t\t\t<td colspan="2">''')
            _v = VFFSL(SL,"channelinfo.longdesc",True) # u'$channelinfo.longdesc' on line 54, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$channelinfo.longdesc')) # from line 54, col 24.
            write(u'''</td>\r
\t\t\t\t\t\t</tr>\r
''')
        write(u'''\t\t\t\t\t</tr>\r
\t\t\t\t</table>\r
\t\t\t</div>\r
\t\t</div>\r
\t</body>\r
</html>\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_channelzap= 'respond'

## END CLASS DEFINITION

if not hasattr(channelzap, '_initCheetahAttributes'):
    templateAPIClass = getattr(channelzap, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(channelzap)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=channelzap()).run()


