#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Plugins.Extensions.OpenWebif.local import tstrings

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1458263944.604978
__CHEETAH_genTimestamp__ = 'Fri Mar 18 01:19:04 2016'
__CHEETAH_src__ = '/home/vu/vu/openpli-oe-core/build/tmp/work/vusolo4k-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1+gitAUTOINC+c659329314-r0/git/plugin/controllers/views/mobile/timeradded.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar 18 01:19:03 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class timeradded(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(timeradded, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<html>\r
\t<head>\r
\t\t<title>OpenWebif</title>\r
\t\t<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\r
\t\t<meta name="viewport" content="user-scalable=no, width=device-width"/>\r
\t\t<meta name="apple-mobile-web-app-capable" content="yes" />\r
\t\t<link rel="stylesheet" type="text/css" href="/css/jquery.mobile-1.0.min.css" media="screen"/>\r
\t\t<link rel="stylesheet" type="text/css" href="/css/iphone.css" media="screen"/>\r
\t\t<script src="/js/jquery-1.6.2.min.js"></script>\r
\t\t<script src="/js/jquery.mobile-1.0.min.js"></script>\r
\t\t<script type="text/javascript" src="/js/openwebif.js"></script>\r
\t</head>\r
\t<body onload="javascript: addTimerEvent(\'''')
        _v = VFFSL(SL,"event",True)['sref'] # u"$event['sref']" on line 14, col 43
        if _v is not None: write(_filter(_v, rawExpr=u"$event['sref']")) # from line 14, col 43.
        write(u"""',""")
        _v = VFFSL(SL,"event",True)['id'] # u"$event['id']" on line 14, col 59
        if _v is not None: write(_filter(_v, rawExpr=u"$event['id']")) # from line 14, col 59.
        write(u''')">\r
\t\t<div data-role="page">\r
\t\t\t<div id="header">\r
\t\t\t\t<div class="button" onClick="window.close()">''')
        _v = VFFSL(SL,"tstrings",True)['back'] # u"$tstrings['back']" on line 17, col 50
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['back']")) # from line 17, col 50.
        write(u'''</div>\r
\t\t\t\t<h1><a style="color:#FFF;text-decoration:none;" href=\'/mobile\'>OpenWebif</a></h1>
\t\t\t</div>\r
\t\t\t<div id="mainContent" class="ui-corner-all">\r
\t\t\t\t<table width="100%" border="0" cellspacing="1" cellpadding="5">\r
\t\t\t\t\t<tr>\r
\t\t\t\t\t\t<th colspan="3" class="ui-btn-up-b" style="text-align: left;">''')
        _v = VFFSL(SL,"tstrings",True)['timer_added'] # u"$tstrings['timer_added']" on line 23, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['timer_added']")) # from line 23, col 69.
        write(u''': ''')
        _v = VFFSL(SL,"event",True)['title'] # u"$event['title']" on line 23, col 95
        if _v is not None: write(_filter(_v, rawExpr=u"$event['title']")) # from line 23, col 95.
        write(u'''</th>\r
\t\t\t\t\t</tr>\r
\t\t\t\t\t<tr style="background-color:  #f0f7fc;">\r
\t\t\t\t\t\t<td width="200"><img src="''')
        _v = VFFSL(SL,"event",True)['picon'] # u"$event['picon']" on line 26, col 33
        if _v is not None: write(_filter(_v, rawExpr=u"$event['picon']")) # from line 26, col 33.
        write(u'''" border="0" alt=""></td>\r
\t\t\t\t\t\t<td width="100%" valign="top">\r
\t\t\t\t\t\t<strong>''')
        _v = VFFSL(SL,"event",True)['channel'] # u"$event['channel']" on line 28, col 15
        if _v is not None: write(_filter(_v, rawExpr=u"$event['channel']")) # from line 28, col 15.
        write(u'''</strong><br />\r
\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"event",True)['title'] # u"$event['title']" on line 29, col 8
        if _v is not None: write(_filter(_v, rawExpr=u"$event['title']")) # from line 29, col 8.
        write(u'''<br />\r
\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"event",True)['begin'] # u"$event['begin']" on line 30, col 8
        if _v is not None: write(_filter(_v, rawExpr=u"$event['begin']")) # from line 30, col 8.
        write(u''' - ''')
        _v = VFFSL(SL,"event",True)['end'] # u"$event['end']" on line 30, col 26
        if _v is not None: write(_filter(_v, rawExpr=u"$event['end']")) # from line 30, col 26.
        write(u''' ( ''')
        _v = VFFSL(SL,"event",True)['duration'] # u"$event['duration']" on line 30, col 42
        if _v is not None: write(_filter(_v, rawExpr=u"$event['duration']")) # from line 30, col 42.
        write(u''' min )<br />\r
\t\t\t\t\t\t</td>\r
\t\t\t\t\t</tr>\r
\t\t\t\t\t<tr>\r
\t\t\t\t\t\t<th colspan="2" class="ui-btn-up-b" style="text-align: left;">''')
        _v = VFFSL(SL,"tstrings",True)['description'] # u"$tstrings['description']" on line 34, col 69
        if _v is not None: write(_filter(_v, rawExpr=u"$tstrings['description']")) # from line 34, col 69.
        write(u'''</th>\r
\t\t\t\t\t</tr>\r
\t\t\t\t\t<tr style="background-color:  #f0f7fc;">\r
\t\t\t\t\t\t<td colspan="2">''')
        _v = VFFSL(SL,"event",True)['shortdesc'] # u"$event['shortdesc']" on line 37, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$event['shortdesc']")) # from line 37, col 23.
        write(u'''</td>\r
\t\t\t\t\t</tr>\r
\t\t\t\t\t<tr style="background-color:  #f0f7fc;">\r
\t\t\t\t\t\t<td colspan="2">''')
        _v = VFFSL(SL,"event",True)['longdesc'] # u"$event['longdesc']" on line 40, col 23
        if _v is not None: write(_filter(_v, rawExpr=u"$event['longdesc']")) # from line 40, col 23.
        write(u'''</td>\r
\t\t\t\t\t</tr>\r
\t\t\t\t</table>\r
\t\t\t</div>\r
\t\t</div>\r
\t</body>\r
</html>\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_timeradded= 'respond'

## END CLASS DEFINITION

if not hasattr(timeradded, '_initCheetahAttributes'):
    templateAPIClass = getattr(timeradded, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(timeradded)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=timeradded()).run()


